-- Deploy numerus:bic to pg
-- requires: schema_numerus

begin;

set search_path to numerus, public;

create domain bic as text
check ( value ~ '^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$' )
;

comment on domain bic is 'A valid, but not necessarily existent, Business Identifier Code (ISO 9362)';

commit;
